Bug 260781 - Kernel 2.6.22.2-42.fc6 does not boot on Dell Optiplex 320
Kernel 2.6.22.2-42.fc6 does not boot on Dell Optiplex 320
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 12:22 EDT by Jonathan Halter
Modified: 2008-05-06 15:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Halter 2007-08-28 12:22:26 EDT
Description of problem:
We yum updated recently on a Dell Optiplex 320 running Fedora Core 6, and it no
longer boots. It gets stuck during the boot process, and here are the last few
lines before it stops:
.
.
.
Creating /dev
Creating initial device nodes
Setting up hotplug.

Once it reaches that point, it just sits there.

In order to get a fully-functioning fc6 installation on the Optiplex 320, we had
to use the "pci=nomsi" boot option and lilo as the boot loader. But it worked
with the original 2.6.18-1.2798.fc6 kernel, as well as all kernel updates
through 2.6.20-1.2962.fc6, which is what one of our Optiplex 320's is running.

It has only been with this latest kernel release that we've had a problem
booting these machines.


Version-Release number of selected component (if applicable):
2.6.22.2-42.fc6


How reproducible:
every time.


Steps to Reproduce:
1. build Dell Optiplex 320 with fc6 (use boot option pci=nomsi).
2. install lilo; include boot option pci=nomsi in lilo.conf file.
3. run lilo -v, reboot and verify that the workstation boots.
4. yum update, which installs kernel 2.6.22.2-42.fc6.
5. run lilo -v.
6. reboot and select latest kernel.
  
Actual results:
workstation hangs during boot at "Setting up hotplug."


Expected results:
we expect the workstation to boot.


Additional info:
Seems to be specific to the Dell Optiplex 320, as far as in our shop. We've
several different i386 platforms that yum updated / rebooted just fine with the
latest fc6 kernel.
Comment 1 Chuck Ebbert 2007-09-06 18:26:38 EDT
Does "noapic" make it boot?
Also, is it really dead? Some machines can take a long time to start hotplug.
Does pressing capslock make the light go on and off when it gets stuck?
Comment 2 Jonathan Halter 2007-09-10 16:33:24 EDT
adding "noapic" option does not make it boot.

yes, it really is dead. i've let it sit for a long time (> 30 minutes), and no
on/off lights from pressing capslock.

thank you, jonathan
Comment 3 Bug Zapper 2008-04-04 03:32:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:45:00 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.